Get Customer Bank Account
curl --request GET \
--url https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}/bankaccounts/{customerBankAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"AccountHolder": "John Smith",
"BankName": "Sparkasse",
"AccountNumber": "1234567890",
"BankCode": "44550045",
"IBAN": "DE123456789123456",
"BIC": "WELADED1ISL"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customer
Get Customer Bank Account
Get a specific bank account
GET
/
customers
/
{customerId}
/
bankaccounts
/
{customerBankAccountId}
Get Customer Bank Account
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns the customer bankaccount for the given id.
Model Class: CustomerBankAccount
Name of the account holder of the customer's bank account.
Example:
"John Smith"
Name of the bank.
Example:
"Sparkasse"
Account number of the customer's bank account.
Example:
"1234567890"
Bank code of the customer bank's account.
Example:
"44550045"
International bank account number of the customer's bank account.
Example:
"DE123456789123456"
Bank identification code of the customer's bank account.
Example:
"WELADED1ISL"
Was this page helpful?